BEGIN DATA BASE TOYDB ;

PASSWORDS:
  10  reading ;
  20  writing ;

ITEMS:
  ADDRESS          , X30(10/20);
  AMOUNT           , P12(10/20);
  CITY             , X30(10/20);
  CUSTOMER-NAME    , X30(10/20);
  CUSTOMER-NO      , X6(10/20);
  DUE-DATE         , X4(10/20);
  INVOICE-DATE     , X4(10/20);
  INVOICE-NO       , X6(10/20);
  ORDER-DATE       , X4(10/20);
  ORDER-NO         , X8(10/20);
  PAID-AMOUNT      , P12(10/20);
  PRICE            , P8(10/20);
  PRODUCT-LINE     , X2(10/20);
  PRODUCT-NAME     , X16(10/20);
  PRODUCT-NO       , X6(10/20);
  QUANTITY         , I1(10/20);
  SALES-AREA       , X16(10/20);
  SHIPMENT-DATE    , X4(10/20);
  STATE            , X30(10/20);
  TURNOVER         , 12P16(10/20);
  TURNOVER-MTD     , P16(10/20);
  TURNOVER-PY      , P16(10/20);
  ZIPCODE          , X6(10/20);


SETS:
  NAME:    PRODUCTS        ,M(10/20)    ;
  ENTRY:   PRODUCT-NO       (1)                                  ,
           PRODUCT-NAME                                          ,
           PRICE                                                 ,
           PRODUCT-LINE                                          ,
           QUANTITY                                              ;
  CAPACITY: 100(24);

  NAME:    CUSTOMERS       ,M(10/20)    ;
  ENTRY:   CUSTOMER-NO      (2)                                  ,
           CUSTOMER-NAME                                         ,
           CITY                                                  ,
           STATE                                                 ,
           ZIPCODE                                               ,
           ADDRESS                                               ,
           SALES-AREA                                            ,
           TURNOVER                                              ,
           TURNOVER-PY                                           ,
           TURNOVER-MTD                                          ;
  CAPACITY: 50(4);

  NAME:    ORDER-MASTER    ,A(10/20)    ;
  ENTRY:   ORDER-NO         (3)                                  ;
  CAPACITY: 503(14);


  NAME:    INVOICES        ,D(10/20)    ;
  ENTRY:   INVOICE-NO                                            ,
           CUSTOMER-NO      (!CUSTOMERS                         ),
           ORDER-NO         ( ORDER-MASTER                      ),
           AMOUNT                                                ,
           PAID-AMOUNT                                           ,
           INVOICE-DATE                                          ,
           DUE-DATE                                              ;
  CAPACITY: 504(18);


  NAME:    ORDERS          ,D(10/20)    ;
  ENTRY:   CUSTOMER-NO      (!CUSTOMERS                         ),
           ORDER-NO         ( ORDER-MASTER                      ),
           ORDER-DATE                                            ;
  CAPACITY: 510(30);

  NAME:    ORDER-DETAILS   ,D(10/20)    ;
  ENTRY:   ORDER-NO         (!ORDER-MASTER                      ),
           PRODUCT-NO       ( PRODUCTS                          ),
           QUANTITY                                              ,
           SHIPMENT-DATE                                         ;
  CAPACITY: 1015(35);

END.
